Bug 19910 - gzip runs faster without assembly
gzip runs faster without assembly
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: gzip (Show other bugs)
6.2
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Trond Eivind Glomsrxd
David Lawrence
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-10-27 09:56 EDT by Oren Tirosh
Modified: 2007-03-26 23:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-10-30 11:01:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Oren Tirosh 2000-10-27 09:56:30 EDT
Compression speed can be improved up to 27% by disabling the assembly
version of the match_longest function.  It appears that gcc does a better
job in optimizing the C version of that function.  Just disable the ASMV
define.  Decompression speed is not affected. Maintainers of the gzip
package have been notified.
Comment 1 Trond Eivind Glomsrxd 2000-10-29 22:44:51 EST
Weird - will investigate.
Comment 2 Trond Eivind Glomsrxd 2000-10-30 11:01:04 EST
Verified and turned off (with DEFS=-DNO_ASM).
Comment 3 Trond Eivind Glomsrxd 2000-10-30 11:09:44 EST
1.3-7 will eventually show up in Rawhide.
Comment 4 Daniel Roesen 2000-10-30 12:51:49 EST
so no "massive performance enhancement" official update in sight? :->
Comment 5 Trond Eivind Glomsrxd 2000-10-30 13:48:33 EST
Nah, it works correctly as shipped. Besides, most systems don't spend that much
time doing it. Now, if it was glibc....

Note You need to log in before you can comment on or make changes to this bug.